/* tongWenLoad Object which deal with the document "load" event. */

// var tongwenLoad = tongWenLoad(null);

function addTongWenLoad(){
    document.addEventListener("load", this.handler, true);
}
function removeTongWenLoad(){
    document.removeEventListener("load", this.handler, true);
}

/* Change this.zhflag to switch simplified/traditional Chinese. */
function tongWenLoad(zhflag) {
    this.zhflag = zhflag;
    this.handler = tongWen(this.zhflag);
    this.add = addTongWenLoad();
    this.remove = removeTongWenLoad();
}

function getEventQ() {
    const ciid = '@mozilla.org/event-queue-service;1';
    const evqif = Components.interfaces.nsIEventQueueService;
    var eventq = Components.classes[ciid].getService();
    eventq.QueryInterface(evqif);
    return eventq;
}
    
function updateEQ(eventq) {
    if (!eventq)
	eventq = getEventQ();
    var q = eventq.getSpecialEventQueue(eventq.CURRENT_THREAD_EVENT_QUEUE);
    if (q.pendingEvents())
	q.processPendingEvents();
}

